import {
  LayoutDashboard,
  StoreIcon,
  UsersIcon,
  VideoIcon,
  FoldersIcon,
  LibraryBig,
  ShoppingBagIcon,
  BriefcaseIcon,
} from 'lucide-react';

const routes: NavRoute[] = [
  {
    path: '/dashboard/home',
    name: 'Dashboard',
    icon: <LayoutDashboard />,
    roles: ['super_admin','admin', 'inst_admin', 'school', 'teacher', 'inst_designer'],
  },
  {
    path: '/dashboard/market',
    name: 'Market',
    icon: <StoreIcon />,
    roles: ['super_admin','admin', 'inst_admin', 'school', 'teacher', 'inst_designer'],
  },
  {
    path: '/dashboard/courses/instructor',
    name: 'My Courses',
    icon: <FoldersIcon />,
    roles: ['inst_designer'],
  },
  {
    path: '/dashboard/courses/school',
    name: 'My Courses',
    icon: <FoldersIcon />,
    roles: ['school'],
  },
  // {
  //   path: '/dashboard/tutorials',
  //   name: 'Tutorials',
  //   icon: <LibraryBig/>,
  //   roles: ['teacher'],
  // },
  {
    path: '/dashboard/courses/teacher',
    name: 'My Courses',
    icon: <FoldersIcon />,
    roles: ['teacher'],
  },
  {
    path: '/dashboard/snai3i-courses/list',
    name: 'S-Courses',
    icon: <FoldersIcon />,
    roles: ['super_admin','inst_admin'],
  },
  {
    path: '/dashboard/market-courses/list',
    name: 'M-Courses',
    icon: <LibraryBig />,
    roles: ['super_admin','inst_admin','admin'],
  },
  {
    path: '/dashboard/orders',
    name: 'Orders',
    icon: <ShoppingBagIcon />,
    roles: ['super_admin','admin', 'inst_admin'],
  },
  {
    path: '/dashboard/meetings',
    name: 'Meetings',
    icon: <VideoIcon />,
    roles: ['super_admin','admin', 'inst_admin'],
  },
  {
    path: '/dashboard/accounts',
    name: 'Accounts',
    icon: <UsersIcon />,
    roles: ['super_admin','admin', 'inst_admin'],
  },
  {
    path: '/dashboard/teachers',
    name: 'Teachers',
    icon: <BriefcaseIcon/>,
    roles: ['school'],
  },
];
export default routes;

// import Label from "./components/lable";
// import { LayoutDashboard, StoreIcon, UsersIcon, VideoIcon, FoldersIcon, ShoppingBagIcon, SettingsIcon } from 'lucide-react';

// function SideBar() {
//   return (
//     <div className="flex flex-col justify-between bg-slate-50 min-w-[240px] m-w-[80px] lg:m-w-[140px] border-r px-3 pb-10 pt-24">
//       <div className=" flex flex-col gap-2 ">
//       <Label icon={<LayoutDashboard/>} pageName="Dashbaord" />
//       <Label icon={<StoreIcon/>} pageName="Market" />
//       <Label icon={<FoldersIcon/>} pageName="Courses" />
//       <Label icon={<ShoppingBagIcon/>} pageName="Orders" />
//       <Label icon={<VideoIcon/>} pageName="Meetings" />
//       <Label icon={<UsersIcon/>} pageName="Accounts" />
//     </div>
//     <Label icon={<SettingsIcon/>} pageName="Settings" />
//     </div>

//   );
// }

// export default SideBar;
